
Redmine - Defect #2042

Issues internal error

2008-10-17 01:53 - nikitoz nikitoz

Status: Closed Start date: 2008-10-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Hello

When I enter issues menu i get internal error

Versions:

%rake --version

rake, version 0.8.3

%ruby --version

ruby 1.8.6 (2007-03-13 patchlevel 0) [i386-freebsd6]

redmine 0.7.3

In the log:

ActionView::TemplateError (undefined method `fdiv' for 0:Fixnum) on line #8 of issues/_list.rhtml:

5:                                                            :title => "#{l(:button_check_all)}/#

{l(:button_uncheck_all)}" %>

6:         </th>

7:              <%= sort_header_tag("#{Issue.table_name}.id", :caption => '#', :default_order => '

desc') %>

8:         <% query.columns.each do |column| %>

9:           <%= column_header(column) %>

10:         <% end %>

11:     </tr></thead>

    /usr/local/lib/ruby/1.8/yaml/rubytypes.rb:146:in `is_binary_data?'

    /usr/local/lib/ruby/1.8/yaml/rubytypes.rb:165:in `to_yaml'

    /usr/local/lib/ruby/1.8/yaml.rb:391:in `call'

    /usr/local/lib/ruby/1.8/yaml.rb:391:in `emit'

    /usr/local/lib/ruby/1.8/yaml.rb:391:in `quick_emit'

    /usr/local/lib/ruby/1.8/yaml/rubytypes.rb:164:in `to_yaml'

    /usr/local/lib/ruby/1.8/yaml/rubytypes.rb:110:in `node_export'

    /usr/local/lib/ruby/1.8/yaml/rubytypes.rb:110:in `add'

    /usr/local/lib/ruby/1.8/yaml/rubytypes.rb:110:in `to_yaml'

    /usr/local/lib/ruby/1.8/yaml/rubytypes.rb:109:in `each'

    /usr/local/lib/ruby/1.8/yaml/rubytypes.rb:109:in `to_yaml'

    /usr/local/lib/ruby/1.8/yaml/rubytypes.rb:108:in `seq'

    /usr/local/lib/ruby/1.8/yaml/rubytypes.rb:108:in `to_yaml'

    /usr/local/lib/ruby/1.8/yaml.rb:391:in `call'

    /usr/local/lib/ruby/1.8/yaml.rb:391:in `emit'

    /usr/local/lib/ruby/1.8/yaml.rb:391:in `quick_emit'

    /usr/local/lib/ruby/1.8/yaml/rubytypes.rb:107:in `to_yaml'

    app/models/setting.rb:61:in `value='

    vendor/rails/activerecord/lib/active_record/base.rb:2117:in `send'

    vendor/rails/activerecord/lib/active_record/base.rb:2117:in `attributes='

    vendor/rails/activerecord/lib/active_record/base.rb:2116:in `each'

    vendor/rails/activerecord/lib/active_record/base.rb:2116:in `attributes='

    vendor/rails/activerecord/lib/active_record/base.rb:1926:in `initialize'

    app/models/setting.rb:123:in `new'

    app/models/setting.rb:123:in `find_or_default'
    app/models/setting.rb:68:in `[]'

    app/models/setting.rb:97:in `issue_list_default_columns'

    app/models/query.rb:245:in `columns'

    app/models/query.rb:245:in `select'

    app/models/query.rb:245:in `columns'

    app/views/issues/_list.rhtml:8:in `_run_erb_47app47views47issues47_list46rhtml'

    vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:142:in `call'

    vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:142:in `capture_erb_with_buf

fer'

    vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:44:in `capture'

    vendor/rails/actionpack/lib/action_view/helpers/form_tag_helper.rb:417:in `form_tag_in_block'

    vendor/rails/actionpack/lib/action_view/helpers/form_tag_helper.rb:39:in `form_tag'

    app/views/issues/_list.rhtml:1:in `_run_erb_47app47views47issues47_list46rhtml'

    vendor/rails/actionpack/lib/action_view/base.rb:637:in `send'

    vendor/rails/actionpack/lib/action_view/base.rb:637:in `compile_and_render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:365:in `render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:316:in `render_file'

    vendor/rails/actionpack/lib/action_view/base.rb:331:in `render'

    vendor/rails/actionpack/lib/action_view/partials.rb:120:in `render_partial'

    vendor/rails/actionpack/lib/action_view/base.rb:352:in `render'

    app/views/issues/index.rhtml:43:in `_run_erb_47app47views47issues47index46rhtml'

    vendor/rails/actionpack/lib/action_view/base.rb:637:in `send'

    vendor/rails/actionpack/lib/action_view/base.rb:637:in `compile_and_render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:365:in `render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:316:in `render_file'

    vendor/rails/actionpack/lib/action_controller/base.rb:1100:in `render_for_file'

    vendor/rails/actionpack/lib/action_controller/base.rb:861:in `render_with_no_layout'

    vendor/rails/actionpack/lib/action_controller/layout.rb:262:in `render_without_benchmark'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

    /usr/local/lib/ruby/1.8/benchmark.rb:293:in `measure'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

    app/controllers/issues_controller.rb:67:in `index'

    vendor/rails/actionpack/lib/action_controller/mime_responds.rb:131:in `call'

    vendor/rails/actionpack/lib/action_controller/mime_responds.rb:131:in `custom'

    vendor/rails/actionpack/lib/action_controller/mime_responds.rb:156:in `call'

    vendor/rails/actionpack/lib/action_controller/mime_responds.rb:156:in `respond'

    vendor/rails/actionpack/lib/action_controller/mime_responds.rb:150:in `each'

    vendor/rails/actionpack/lib/action_controller/mime_responds.rb:150:in `respond'

    vendor/rails/actionpack/lib/action_controller/mime_responds.rb:107:in `respond_to'

    app/controllers/issues_controller.rb:66:in `index'

    vendor/rails/actionpack/lib/action_controller/base.rb:1158:in `send'

    vendor/rails/actionpack/lib/action_controller/base.rb:1158:in `perform_action_without_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:697:in `call_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:689:in `perform_action_without_benchm

ark'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_re

scue'

    /usr/local/lib/ruby/1.8/benchmark.rb:293:in `measure'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_re

scue'

    vendor/rails/actionpack/lib/action_controller/rescue.rb:199:in `perform_action_without_caching

'

    vendor/rails/actionpack/lib/action_controller/caching.rb:678:in `perform_action'

    vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in 

`cache'

    vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in `cache'

    vendor/rails/actionpack/lib/action_controller/caching.rb:677:in `perform_action'

    vendor/rails/actionpack/lib/action_controller/base.rb:524:in `send'

    vendor/rails/actionpack/lib/action_controller/base.rb:524:in `process_without_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:685:in `process_without_session_manag

ement_support'

    vendor/rails/actionpack/lib/action_controller/session_management.rb:123:in `process'

    vendor/rails/actionpack/lib/action_controller/base.rb:388:in `process'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:171:in `handle_request'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:115:in `dispatch'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:126:in `dispatch_cgi'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:9:in `dispatch'

2025-05-07 2/3



    vendor/rails/railties/lib/webrick_server.rb:112:in `handle_dispatch'

    vendor/rails/railties/lib/webrick_server.rb:78:in `service'

    /usr/local/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

    /usr/local/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

    /usr/local/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

    /usr/local/lib/ruby/1.8/webrick/server.rb:162:in `start'

    /usr/local/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

    /usr/local/lib/ruby/1.8/webrick/server.rb:95:in `start'

    /usr/local/lib/ruby/1.8/webrick/server.rb:92:in `each'

    /usr/local/lib/ruby/1.8/webrick/server.rb:92:in `start'

    /usr/local/lib/ruby/1.8/webrick/server.rb:23:in `start'

    /usr/local/lib/ruby/1.8/webrick/server.rb:82:in `start'

    vendor/rails/railties/lib/webrick_server.rb:62:in `dispatch'

    vendor/rails/railties/lib/commands/servers/webrick.rb:66

    /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

    /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

    vendor/rails/activesupport/lib/active_support/dependencies.rb:496:in `require'

    vendor/rails/activesupport/lib/active_support/dependencies.rb:342:in `new_constants_in'

    vendor/rails/activesupport/lib/active_support/dependencies.rb:496:in `require'

    vendor/rails/railties/lib/commands/server.rb:39

    script/server:3:in `require'

    script/server:3

History

#1 - 2008-11-09 13:43 - Jean-Philippe Lang

I can't reproduce this problem and don't have a clue about this.

Did you made any change to config/settings.yml ? Can you attach this file please ?

#2 - 2009-01-03 14:31 - Jean-Philippe Lang

- Status changed from New to Closed

No feedback. Reopen if needed.

Powered by TCPDF (www.tcpdf.org)

2025-05-07 3/3

http://www.tcpdf.org

